Page MenuHomePhabricator

PHPUnit: Cover all includes/MobileUI.php class methods
Closed, ResolvedPublic

Description

The MobileUI class has no code coverage. Tests should be written to fix this.

Acceptance criteria

  • Write unit tests to cover all methods in /includes/MobileUI.php.
  • Code coverage report has gone up - 100%

Event Timeline

D3r1ck01 created this task.Nov 5 2018, 9:23 PM
D3r1ck01 triaged this task as Normal priority.
D3r1ck01 claimed this task.
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.

Change 471839 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/MobileFrontend@master] Add MobileUITest.php for testing MobileUI class

https://gerrit.wikimedia.org/r/471839

Jdlrobson renamed this task from Cover all includes/MobileUI.php class methods to PHPUnit: Cover all includes/MobileUI.php class methods.
Jdlrobson removed a project: Epic.
Jdlrobson updated the task description. (Show Details)
D3r1ck01 added a comment.EditedNov 6 2018, 1:02 PM

Per https://integration.wikimedia.org/ci/job/mwext-phpunit-coverage-patch-docker/5397/console, code coverage has increased from 0% to 77.78% (not bad) and all methods covered.

D3r1ck01 updated the task description. (Show Details)Nov 7 2018, 7:27 PM

Change 471839 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add MobileUITest to test MobileUI class

https://gerrit.wikimedia.org/r/471839

Change 471839 merged by jenkins-bot:

w00t! \o/

Jdlrobson reassigned this task from D3r1ck01 to pmiazga.Nov 7 2018, 8:12 PM

Can you sign this off since I +2ed? (Just double check we didn't miss anything?)

Looks good to me.

pmiazga closed this task as Resolved.Nov 7 2018, 8:57 PM
pmiazga removed pmiazga as the assignee of this task.